CyanogenMod
===============

Visit http://github.com/CyanogenMod for full changelogs and git access.

Visit http://review.cyanogenmod.com for our Gerrit instance.

Follow http://twitter.com/cmsrc for commit-by-commit updates.

Maintainers (CyanogenMod 9):
------------
* Asus EeePad Transformer (tf101): Bumble-Bee, EnJens
* Asus EeePad Transformer Prime (tf201): Bumble-Bee, EnJens
* Asus EeePad Transformer Prime (tf300t): xplodwild
* Google Nexus S: KalimochoAz, burnsra
* Google Galaxy Nexus: KalimochoAz, bekit, Bumble-Bee
* HP Touchpad: dalingrin, green--, jcsullins
* LG Optimus LTE / AT&T Nitro HD: arcee
* LG Optimus Sol / LG myTouch: Kali-, arcee
* Motorola Xoom (stingray): TDR, Steady Hawkin, Bazar6 (Team Rogue)
* Motorola Xoom (wingray): TDR, Steady Hawkin, Bazar6 (Team Rogue)
* Samsung Epic 4G (SPH-D700): noobnl, Decad3nce, mkasick, UberPinguin, wtogami, bbelos (Team Epic)
* Samsung Fascinate (SCH-I500): sbrissen, jt1134
* Samsung Galaxy Note (GT-N7000): Entropy512, xplodwild
* Samsung Galaxy Note AT&T (SGH-I717): cyanogen
* Samsung Galaxy S (GT-I9000): pawitp
* Samsung Galaxy S II (GT-I9100): codeworkx, Unhelpful, xplodwild
* Samsung Galaxy S II (GT-I9100G): codeworkx
* Samsung Galaxy S II AT&T (SGH-I777): atinm, Entropy512
* Samsung Galaxy S II Skyrocket (SGH-I727): David Ferguson (dferg)
* Samsung Galaxy S II T-Mobile (SGH-T989): Mike Grissom (mikeyman77)
* Samsung Galaxy S III (GT-I9300): codeworkx, xplodwild
* Samsung Galaxy S III (SGH-I747 - AT&T): Unhelpful, cyanogen
* Samsung Galaxy S III (SGH-T999 - T-Mobile): cyanogen
* Samsung Galaxy S III (SPH-L710 - Sprint): noobnl, mkasick (Team Epic)
* Samsung Galaxy Tab 10.1: cyanogen, pershoot
* Samsung Galaxy Tab 8.9: kallt_kaffe
* Samsung Galaxy Tab 2 7" (GT-P31XX): codeworkx
* Samsung Galaxy Tab 2 10.1" (GT-P51XX): codeworkx
* Samsung Galaxy Tab 7: cdesai, humberos, jt1134
* Samsung Galaxy Tab 8.9: kallt_kaffe
* Samsung Galaxy Tab 10.1: cyanogen, pershoot
* Samsung Vibrant (SGH-T959): FaultException
* Sony Xperia Arc (LT15i): Bin4ry,defer,jerpelea (FreeXperia team)
* Sony Xperia Neo (MT15i): Bin4ry,defer,jerpelea (FreeXperia team)

Translators:
------------
* German: Matthias Büchner, Alexander Hofbauer, Sebastian K (DerSeppel), Ricco Thiel, Andreas Böhm
* Italian: Francesco Foresta, Moreno Pojer, Eugenio Ziliotto, Giulio Cervera
* Japanese: Takuo Kitame
* French: Sébastien Vaucher, David Girault, Tanguy Pruvot
* Simplified Chinese: comercy, Qian Zheng
* Russian: OlegKrikun, Pavel Volkov, Kir Kolyshkin
* Portuguese: Eduardo Martins, Ricardo Pinho
* Portuguese-Brazil: Gustavo Rosa
* Spanish: PeRiJeY, KalimochoAz, Chuckycrx
* Catalan: Oriol Pellicer
* Finnish: Antti Leukkunen
* Swedish: Patrik Kullman
* Polish: Maciej Rozbicki
* Korean: Inseok Lee
* Traditional Chinese: Ladios Jonquil
* Slovak: Juraj Janecek
* Czech: Ondrej Zima

CHANGELOG (notable new features)
---------

### 9.0.0
* Common: Android 4.0.4 (Google)

### 7.1.0
* Common: Android 2.3.7 (Google)
* Common: Bluetooth mouse support - Scott Brady
* Common: Improve notification swipe-to-clear - Evan Charlton
* Common: Improve album-artist support in media scanner - Paul Crovella
* Common: Profile improvements and bugfixes - Martin Long, Danny Baumann, Robert Burns
* Common: RTL text improvements - Eyad Aboulouz, Eran Mizrahi
* Common: Wake on volume key option - Sven Dawitz
* Common: Support for revoking application permissions - Plamen K. Kosseff
* Common: Latest Superuser app - ChainsDD
* Common: Control brightness by sliding on statusbar - Danesh M
* Common: Add "copy all" to context menu - Danesh M
* Common: Lockscreen haptic and statusbar indicators toggle - Danesh M
* Common: Nicer timepicker/datepicker - Jiri Tyr
* Common: Configuration 0/90/180/270 rotation - Jonas Larsson, Scott Brady
* Common: DSP Manager bugfixes and improvements - Antti S Lankila
* Common: Support for launching apps via gestures in the background - Jiri Tyr
* Common: Option to hide hold button during call - Roberto Leinardi
* Common: Allow using wildcards for call blacklisting - Nihanth Subramanya
* Common: Option to allow in-call lockscreen to match main lockscren - Sven Dawitz
* Common: Option to notify about incoming call only in background when screen is on - Pavel Kucera
* Common: ADWLauncher- Transitions, catalog improvements, bugfixes - John Van Etten
* Common: Optional GMT correction for SMS/MMS timestamps - Terry Hau
* Common: Add FM Seek for TI devices - KalimochoAz
* Common: Add FM support for SI4708 devices (Blade, V9, Racer) - Stéphane Konstantaropoulos
* Common: Add FM seek implementation to FM application - Tom Giordano
* Common: Show current FM status on lockscreen - Tom Giordano
* Common: Camera touch-to-focus - cyanogen, arcee, m0viefreak, Danny Baumann
* Common: Screenshot feature via power menu - arcee
* Common: WEBP backport - Vikas Arora
* Common: Add CM copyright noticies - arcee
* Common: Skia/Zlib/libcore ARM optimizations - 0xlab
* Common: Bluetooth tethering - Stéphane Konstantaropoulos
* Common: Lockscreen widget alignment - Danesh Mondegarian
* Common: Lockscreen calendar - David Morgan
* Common: AVRCP 1.3 support - Qualcomm (bugfix by Danny Baumann)
* Common: LED notification overhaul - Danny Baumann
* Common: System-wide DNS cache - Google, SEMC
* Common: Headset icon toggle - Cameron Pickett
* Common: FM seek support - Emilio López, Tom Giordano
* Common: Editable event fields in Contacts app - Danny Baumann
* Common: Remove compromised CA from system certs - Guardian Project
* Common: Mute camera shutter option - George Maizel
* Common: Camera timer - Danesh Mondegarian
* Common: "Mark all read" option in MMS - Vinod Surendran
* Common: "eat" pushes fresh brunch/breakfast to device - Ricardo Cerqueira
* Common: Customizable account color chip in Email - copolii
* Common: "Rings" lockscreen - Valera Trubachev

* Click, Motorola: Speed up photo recording - Emilio López
* Click, Motorola: Add Geolocation to photo app - KalimochoAz
* Click: Upgraded kernel from HTC 2.6.29 to 2.6.35
* HTC msm7x30: 2.6.35 kernel and updated userspace
* Buzz: 2.6.35 kernel - Arne Coucheron
* Bravo(c)/Vivo(w)/Ace/Liberty: On charge notification led - Richard Antony Burton
* Crespo/Crespo4G: Kernel update 2.6.35.14 and more, voodoo implementation, BLN, BLX...
* Encore: Update kernel from 2.6.29 to 2.6.32 - Dalingrin,Fattire,Verygreen
* Encore: New GPU drivers and userspace libs
* Encore: Adjustable clockspeed and voltage - Dalingrin
* Encore: Backport 2.6.35 Bluetooth - Fattire
* Encore: Working mem sleep
* Encore: USB host support - Verygreen

### 7.0.3
* Common: Don't allow packages with platform keys on user-controlled storage

### 7.0.2
* Common: Fix issue with missing built-in themes
* Common: Update bundled ROM Manager to latest version
* Supersonic: Actually fix GPS
* Supersonic: Fix proximity and light sensor

### 7.0.1
* Common: Fix fling velocity of status bar and ADW swipe - Sven Dawitz
* Common: Fixed webview layout bug (issue 3229) - Zinx
* Common: Fix GVoice-opens-twice bug - Zinx
* Common: Fix issues on all devices with DNS resolution failure after some time - Zinx, various
* Common: RTL improvements - Eran Mizrahi, Eyad Aboulouz
* Common: Fix crashes in Arabic locale - Eyad Aboulouz
* Common: Add Arabic keylayout - Eyad Aboulouz
* Common: Improve ADWLauncher scrolling/zoom performance - Pavel Kucera
* Common: Fix excessive memory use when appending to textviews - Cyanogen
* Common: New wallpapers from the CM community (CC License, see app for credits)
* Common: Option to disable vibration while in-call - Evan Charlton
* Common: Add long press option to status bar widgets for settings - Alex Avance
* Common: Compact carrier and status bar tweaks - Nihanth Subramanya, rorifree
* Sholes: Fix connectivity loss bug - cvpcs
* Speedy: Fix keyboard lights - JD Horelick
* Glacier: Fix backlights - Zinx
* Glacier: fix GPS issues - Zinx/QCom
* msm7x30: Fix bugs during video resume - Zinx
* qsd8x50: Fix 720p video playback
* qsd8x50: Unified 2.6.37 kernel - Cyanogen, toastcfh, slayher
* Espresso, Legend: WiFi fix (HTC)
* Supersonic: Fix GPS issues (HTC)
* msm7227: Fix GPS issues - Alex Hofbauer
* Click: Fix recovery kernel and compilation. Now works well with latest code - KalimochoAz
* Click: Speed up internet connection - KalimochoAz
* Blade: Update kernel to match Gen2 Radio - kallt_kaffe
* Blade: Update libaudio to fix SIP audio routing and microphone mute - Tom Giordano

### 7.0.0
* Common: Android 2.3.3 (Gingerbread) - Google
* Common: Fixes and changes from AOSP master - Various
* Common: ClockworkMod Recovery 3.0: Koush, Cyanogen, Zinx
* Common: Themes engine - T-Mobile
* Common: Performance enhancements for Qualcomm hardware - Code Aurora
* Common: New boot animation - 73v1n - http://www.youtube.com/watch?v=mYXiKWwp0DQ
* Common: Fix readahead values for NAND/MMC devices
* Common: Revamped notification widget - cvpcs
* Common: Updated various graphics for GB style - blunden
* Common: DSPManager updated for 2.3 - alankila
* Common: Restyled music app and forward-port of features - Jason Asher
* Common: Rotary answer in Phone app - James Peterson
* Common: BT VoiceDialer fixes - Matthew Sparby
* Common: Calendar enhancements - James Peterson
* Common: Stagefright fixes for 7x30, 8x50, and 7x27 - Zinx, arcee, Cyanogen
* Common: Pacman package manager - Kmobs
* Common: Workaround for unknown phone number - Jiri Tyr
* Common: Trackball answer/hangup - Juan Rodriguez
* Common: CMParts reorganization - Robert Burns
* Common: View ChangeLog via CMParts (System) - Wes Garner
* Common: Optional screen on/off animations - Diogo Ferreira
* Common: New browser incognito mode - optedoblivion
* Common: New trackball/trackpad wake - Zinx, Cyanogen
* Common: Legacy sensor/GPS support - arcee
* Common: Enabled v8 javascript engine on armv6 (msm7227/msm7225) - arcee
* Common: Customizable overscroll - arcee
* Common: Torch cleanup - defer
* Common: 2D compositor backwards compatibility - arcee
* Common: OpenGL backwards compatibility - Zinx, Cyanogen, Sileht, ezterry
* Common: SMS templates using gestures - Riccardo Ciovati
* Common: Phone Goggles - David Bidorff
* Common: Option to always show battery percentage on lockscreen - Robert Burns
* Common: Option to show music controls with compatible headset connection - Wes Garner
* Common: CPU frequency/scaling control in CMParts - Robert Ramiega
* Common: Option to pause/play music with camera button - cvpcs
* Common: Allow SIP User-Agent configuration - arcee
* Common (non-HTC): Fixed mobile connection suspension - arcee
* Common: New music widgets - Jason Asher
* Common: Updated FLAC support - cvpcs, Cyanogen, kroot
* Common: Updated wallpapers - Fitsnugly, Prash
* Common: Customizable search/long-press search - Sven Dawitz
* Common: New lockscreen styles - Rotary Revamped (default) and Lense - Sven Dawitz, Stefano Pignataro
* Common: Customizable app launcher on rotary lockscreen - Sven Dawitz
* Common: Now playing and album art on lockscreen - kmobs
* Common: GPS fixes - CodeAurora, arcee
* Common: Breakfast/Brunch - arcee
* Common: Statusbar battery percentage with mini icon - Sven Dawitz, design by Jazz Kalsi
* Common: SMS split for braindead carriers - Mike Wielgosz
* Common: MMS user-defined custom vibrate - Wes Garner
* Common: CMParts cleanup - Sven Dawitz
* Common: Notification profiles - Martin Long
* Common: TI wl12xx FM radio reverse engineering - Michael A. Reid
* Common: Tablet tweaks - Sven Dawitz
* Common: Revamped CMStats - Chris Soyars
* Common: Improved RTL text support and fonts - Eyad Aboulouz, Eran Mizrahi,  
* Espresso/Legend: Enabled native WiFi tethering - Cyanogen, OMAPZoom.org
* Legend/Liberty/Buzz/Click: Enabled FM Radio - Alexander Hofbauer (libaudio patch)
* Z71: Enabled MPEG4/AAC video recording - arcee
* Z71: Enabled native WiFi tethering - arcee
* Passion/Bravo/BravoC/Supersonic/Inc: Kernel 2.6.37 - Google, Cyanogen, defer, Kali-, toastcfh, slayher
* Vision/Glacier/Espresso: WiFi calling compatibility and optimization - Zinx
* Vision/Glacier/Ace: Unified kernel - HTC, Cyanogen, Zinx, Kali-, defer
* Vision/Glacier/Ace: Fix FM radio on 2.3 - Zinx
* Vision/Glacier/Ace: Fixes for video overlay - Zinx, CodeAurora
* Vision: Only install WiFi calling on TMUS devices - attn1
* Espresso/Legend/Liberty: Unified kernel - HTC, Cyanogen, attn1, jznomoney, Alexander Hofbauer
* Supersonic: WiMAX support - HTC, Shinzul, toastcfh, shift, #teamwin, Cyanogen, Joey Conway
* Supersonic: HDMI mirror support: #teamwin
* ONE: Enabled native WiFi tethering - arcee

### 6.1.3
* Ace: Fix issue with some BT Headset

### 6.1.2
* Ace: Kernel to 2.6.32.27 and some performance tweaks

### 6.1.1
* Common: Add rotary lockscreen - Kmobs/Robert Burns
* Common: Updated translations - (everyone)
* Common: Push update notificatiosn - Chris Soyars
* Common: Fix camera sounds - CAF/Cyanogen/mtwebster
* N1/DS/Supersonic/Bravo(c): Kernel performance tweaks and fixes (various)
* N1: Update build fingerprint
* Vision: Fix MMS over WiFi calling - Zinx
* Vision: Add console=null to kernel command line - Adam Tygart
* Vision: Kernel to 2.6.32.27 and some performance tweaks
* Droid: FRG83D fingerprint, translations, camera, torch fixes

### 6.1.0
* Common: Update to Android 2.2.1
* Common: Various bugfixes from AOSP and CodeAurora
* Common: ADWLauncher 1.3.3 - Ander Webbs
* Common: Configurable audio focus for music app - Jonas Larsson
* Common: APN cleanup (fixes many issues with GPS and MMS) - Cyanogen
* Common: Use ARMv6 optimizations for DS/Hero targets - Ninpo
* Common: AudioDSP updates - Antti S. Lankila
* Common: Status bar themes - Michael Webster
* Common: Email app updates** - Michael Webster
* Common: Selected kernel optimizations - Kernelzilla
* Common: EMMC support - Koush
* Common: Camcorder touch-to-focus - Cyanogen
* Common: Notification "quiet hours" - Evan Charlton
* Common; Superuser 2.3.6 - Adam Shanks (ChainsDD)
* Common: Camera/camcorder continuous autofocus - Cyanogen
* Common: Camera option sliders - Cyanogen
* Common: Control locking of MMS app in memory - Julian J. M
* Common: Kill foreground app by long-pressing back - Evan Charlton
* Common: New AppWidgetPicker dialog - boombuler@XDA
* Common: FileManager app - OpenIntents (graphics update from Fitsnugly)
* Common: Anonymous install statistics gathering - Chris Soyars
* Common: Stable shot camera mode - Cyanogen
* Common: Dual-mode snooze (long press dismiss) - Evan Charlton
* Common: Compose SMS/MMS via search button long press - Wes Garner
* Common: Notification category support - Pedlar
* Common: Galaxy S style power widget in notification bar - Pedlar
* Common: Autodetect if we should use /cache for system dex files - Kali-
* Common: Quick PIN unlock - gsarrica
* Common: Increase performance of Gallery3D caching system - Androbot
* Common: Gallery3D bugfixes and improvements - CodeAurora
* Common: Gallery3D highres patches - Petar Šegina
* Common: Skia performance enhancements - CodeAurora
* Common: APN list update - Paul Weiss
* Common: Fix AGPS issues on all platforms
* Common: Ability to customize location to save attachments in MMS - Wes Garner
* Common: Dismiss notifications by swiping - Evan Charlton
* Common: Enabled Sound Recorder app
* Common: Bluetooth OBEX performance boost - Sony
* Common: Updated Terminal Emulator app - Jack Palevich
* Common: Updated headset drawables - blunden
* Common: Optional overscrolling - Google, arcee, Robert Burns
* Common: Messaging/Phone sliders on lockscreen - Rodolfo Hurtado
* Common: Lockscreen gestures - Michael Webster
* Common: Camera bugfixes (mostly for Droid) - Michael Webster
* Common: Bluetooth FTP server profile - CodeAurora
* Common: New wallpapers - Prash
* Common: Super duper unified flashlights - Michael Webster
* Common: Launch applications via DeskClock - Evan Charlton
* N1/Bravo/Incredible/Supersonic/Vision/Ace: FM Radio support - MIUI - http://miui.com (graphics from Fitsnugly, HaXzAmaTiC, and blunden - bugfixes and extra features from Cyanogen, Zinx, mtwebster, and Wysie))
* N1/DS/Bravo(c)/Supersonic - Unified kernel (Cyanogen, toastcfh, Kali-, defer, Zinx, ezterry, Pershoot, and others)
* N1: Increased camera performance - Charan Singh
* N1: Enhanced battery driver - Roger Podacter, theloginwithnoname
* DS: Updated hardware drivers from official release
* DS: CompCache sizes can be adjusted through CMParts - Wes Garner
* DS: Removed bootloader/radio asserts - GOOD LUCK
* Supersonic - Kernel 2.6.34 courtesy of Toast and Madcoder
* Supersonic - Use WiMAX LED for notifications - Cyanogen
* Bravo: Kernel merged with cm-kernel - Kali, Defer
* Espresso: Improve backlights - Wes Garner
* Espresso/Legend/Liberty: Kernel OC patch - dumfuq (no OC by default)
* Espresso/Legend/Liberty: Using media libs from 2.2
* Espresso: Fixed Bluetooth SCO
* Legend/Supersonic: Proper notification light support - Alex Hofbauer
* Incredible: Enable torch app
* Incredible: Better internal storage support - Josh Stone
* Sholes: Enable Torch app - mtwebster
* Vision: Kernel 2.6.32.26, many improvements, 1.4GHz capable (coolbho3k), new ganeth driver (zinx)
* Vision: Quickeys implementation - Optedoblivion
* Vision: Insane GPS fix - Zinx
* Vision: LED enhancement - Pershoot
* Droid: Kernel 2.6.32.9


### 6.0.0
* ANDROID: Google, HTC, Qualcomm, and everybody else.  We <3 U
* Common: ADWLauncher 1.1.4 - Ander Webbs
* Common: Music app enhancements - Eliot Stocker
* Common: Phone mod V.30.1 - cytown
* Common: WyContacts 1.2 - Wysie (port to Froyo by Sileht)
* Common: Superuser 2.3.3 - Adam Shanks (ChainsDD)
* Common: Deskclock extra settings - cyanogen, Michael Webster
* Common: MMS enhancements from Ruqqq, Takuo Kitame, jeagoss, temporalshadows
* Common: Improved RTL text rendering - David Kohen, Omri Baumer
* Common: Themable user interface elements - Wysie, bcrook, jeagoss
* Common: FLAC playback support - Kenny Root, Cyanogen, Glenn Maynard
* Common: Lockscreen enhancements - Wysie
* Common: Long-press home options - Wysie, bcrook
* Common: OpenVPN support - James Bottomley, Takuo Kitame
* Common: Br0tips - Kmobs
* Common: Browser incognito mode - Optedoblivion
* Common: Zipalign on install (if needed) + system dex cache to /cache - Cyanogen/Chris Soyars
* Common: Customizable Nexus LWP - Chris Soyars/Cyanogen
* Common: JIT toggle, configurable heapsize, compcache supprt - Cyanogen
* Common: Adjustable haptic feedback - Michael Webster
* Common: Custom wallpapers - jairomeo, prash, SatanR1
* Common: Battery percentage display - canadiancow, jeagoss
* Common: Trackball wake, trackball unlock, menu unlock - Jon Boekenoogen/Kmobs
* Common: Surfaceflinger night mode and effects - Jeff Sharkey, widget from Wysie
* Common: Reflow webviews on pinch option - Jonas Larsson
* Common: Enhanced accelerometer settings - Jonas Larsson
* Common: A2DP bugfixes - Glenn Maynard
* Common: Browser fullscreen mode and other enhancements - Wysie
* Common: Major build system enhancements by Chris Soyars & Koush
* Common: Long press volume buttons to skip songs - Jon Boekenoogen
* Common: Accelerated ARMv7 JPEG and PNG decoding - Qualcomm
* Common: Skia acceleration on ARMv7 - Qualcomm
* Common: Patch wrangling - Cyanogen, Chris Soyars, Koush, Kmobs
* Common: Bluetooth HID support - Erin Yueh @ 0xlab
* Common: Mouse pointer support - Chih-Wei Huang (android-x86)
* Common: Configurable install location + allow move any app to external storage - Cyanogen
* Common: Busybox and rsync Android ports from Dylex
* Common: nano, and libncurses are now built from source. - cvpcs
* Common: Dual camera support - Cyanogen
* Common: Support for HTC camera firmware with extra features - Cyanogen, Qualcomm
* Common: Other camera enhancements - Cyanogen
* Common: Customizable status bar - Michael Webster
* Common: Lockscreen music controls - Kmobs
* Common: "Roam Only" mode - jrgutier
* Common: Mobile data toggle for power widget - Drakaz
* Common: Exchange support fixes and volume rocker selection - Michael Webster
* Common: Lock home app in memory option - Cyanogen
* Common: Audio DSP support (equalizer, virtual room, compressor effects) - Antti S. Lankila
* Common: Customizable trackball notifications - Pedlar
* Common: Fully customizable power widget - piafinho
* Common: Zoom (except in 720p), flash, and other camera parameters can be changed while recording - Cyanogen, Qualcomm
* Common: New boot animation by 73v1n: http://www.youtube.com/watch?v=LnweaNTtb1k
* Common: Arabic language support - Aziz Huss, David Kohen
* Common: Torch app - Ben Buxton, Cyanogen
* Common: Browser color invert (save battery on AMOLED screens) - Qualcomm
* Common: Configurable brightness sensor - Jonas Larsson
* Common: Ad-Hoc wifi support - Petr Havlena
* Common: Audio focus enhancements - Jonas Larsson
* Common: Mail folder sync settings - Michael Webster
* N1/DS/Desire: Kernel 2.6.34.4 with Pershoot/Kmobs clock settings
* D/S: Camera reverse engineering by NCommander, Eddie Ringle, & Cyanogen
* D/S: Kernel patches for stability from Zinx Verituse
* D/S: MT3G Fender/1.2 support from Zinx Verituse
* D/S: Better media profiles - Charan Singh
* EVO: Kernel base from toastcfh, display patches from AssassinsLament and netarchy, backport of various features from Cyanogen (2.6.32)
* EVO: Sprint MMS fixes - Darchstar, toastcfh
* N1/Desire: True 720P encoding support - HTC, Cyanogen, Charan Singh, Enomther
* Desire: Kernel base from Kali- & Defer


